j2me之hello world

没想到居然我会去写j2me的程序,呵呵。没办法,E2只支持java的软件安装,moto的dev上面都是java的sdk,只能将就一下了。 装了eclipse的插件eclipseme,这样就可以用了。不知道为什么还有pending changes,不过能用,也就没有深究。 总的来说,用java写gui还是相对比较方便的。虽然没有拖拽功能的IDE,但是代码看起来还是比较清晰的。问题主要出在了deploy的时候。在手机上面安装的时候,总是提示未找到相应的文件。 研究了好久,才知道怎么回事情。原来作为deployment,需要有两个文件:一个jad文件,一个jar文件;前者是软件的描述,后者是软件的主体程序部分。其中jad文件有一个属性MIDlet-Jar-Size这是jar文件的大小,可不能错,很有可能在修改jar文件之后忘记修改该属性,这样就会出现找不到文件的错误。另外一种情况是,jar文件中还有META-INF/MANIFEST.MF文件,该文件也有一些必要的信息,如果缺少的话,同样会出现这个错误。而Eclipse默认只是添加了很少的信息,所以我们需要添加三个属性MIDlet-Name、MIDlet-Vendor和MIDlet-Version,这样就好了。 现在问题是java只能处理比较上层的东西,即使硬件部分,也是局限在蓝牙这些已经被定义好的东西上面,而其他的硬件控制,无论在Developer Guide、Media Guide,还是Developer Reference Sheet都没有涉及到。看来很有难度啊。